<?php 

namespace Teknisa\DF\Modules\Entrada\Services;

/* Bibliotecas */
use Doctrine\ORM\EntityManager;
use Geral\Entities\Empresa;
use Geral\Entities\Inscrestad;
use NFePHP\Common\Certificate;
use NFePHP\Common\Configure\Configure;
use NFePHP\Common\Exception\RuntimeException;
use NFePHP\Common\Files\FilesFolders;
use NFePHP\NFe\Common\Config;
use NFePHP\NFe\Tools as NFe;
use Teknisa\Libs\Util\DateUtil;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\Masks\Masks;
use Teknisa\Libs\Util\NewCode;
use Teknisa\Libs\Util\Utilities;
use Teknisa\Model\Fiscal\Entities\Arqxmlnfe;
use Teknisa\Model\Fiscal\Entities\Notadestinada;
use Teknisa\Model\Fiscal\Entities\Notafiscal;
use Teknisa\Model\Fiscal\Entities\Lotenfe;
use Teknisa\Model\Geral\Entities\Paramempresa;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

/* Classes DF */
use Teknisa\DF\Modules\Entrada\Factories\NumeracaoTransmissaoNfeFactory;
use Teknisa\DF\Services\NFe\ReturnNFe;

class NumeracaoTransmissaoNfeService {
    
    protected $numeracaoTransmissaoNfeFactory;
    protected $novoCodigo;
    protected $entityManager;
    protected $environment;
    protected $erros = [];
    
    public function __construct(NumeracaoTransmissaoNfeFactory $numeracaoTransmissaoNfeFactory, $novoCodigo, $entityManager, $environment, $fileServerLink) {
        $this->numeracaoTransmissaoNfeFactory = $numeracaoTransmissaoNfeFactory;
        $this->novoCodigo           = $novoCodigo;
        $this->entityManager        = $entityManager;
        $this->environment          = $environment;
        $this->masks = new Masks();
        $this->fileServerLink       = $fileServerLink;
        set_time_limit(0);
    }

    public function getDefaultFilterNumer($row) {
        $CDEMPRESA =  $row["CDEMPRESA"];
        $CDINSCESTA =  $row["CDINSCESTA"];
        $defaultFilter = $this->numeracaoTransmissaoNfeFactory->getDefaultFilterNumer($CDEMPRESA,$CDINSCESTA);
        return $defaultFilter;
    }
}
